阿里云服务器ECS LAMP环境安装(Ubuntu)

  1. 云栖社区>
  2. 博客>
  3. 正文

阿里云服务器ECS LAMP环境安装(Ubuntu)

stefanie燕 2019-04-16 12:10:20 浏览971
展开阅读全文

所周知如果要搭建一个网站lamp环境必不可少,但是阿里云初始的时候没有自带lamp环境,原本阿里云自带的包也已经失效了,所以需要自己来安装。但是网上大部分博客都有些老,于是中间遇到了一些小坑,今天就在这里记录下来方便大家。

在所有的开始,先升级apt-get,不然会在后续的过程中出现无法找到对应包的情况:

sudo apt-get update
sudo apt-get upgrade

之后是LAMP的安装顺序问题,在默认安装好了Linux系统的情况下,一般来说比较建议的顺序是Mysql Apache 最后安装PHP,这是因为PHP依赖Apache和Mysql的服务(但是Mysql和Apache的顺序无所谓)。

Mysql安装:

sudo apt-get install mysql-server

中途可能会需要输入数据库管理员密码,届时自行输入即可。

安装完成后输入:

sudo netstat -tap | grep mysql

如果可以看到监听端口即为安装成功。

Apache安装:

sudo apt-get install apache2

此时要检验在网页中输入自己的阿里云服务器的公网IP,如果出现以下界面即为安装成功(不过此处有坑下面会提):
image
此处有一个坑点是很多同学输入后发现仍然无法出现这个界面,还是未响应。这是因为阿里云把相关的80,8080端口关闭了,需要我们自行打开。这个时候我们需要进入阿里云控制台,选择下图中表示的安全组:
image
,然后点击服务器旁边的 配置规则按钮,选择右侧添加安全组按钮,增加80,8080端口,配置结果如下图所示即可:
image
此时再次输入服务器外网IP,即可正确访问。

PHP安装:

在网上绝大多数的教程是要求输入“sudo apt-get install php5 libapache2-mod-php5”,但是经过博主测试以后发现并不能获得相应的包,出现了“E: Package 'php5' has no installation candidate”的提示语句。后来在网上查了一下,是因为Ubuntu 16.04版本已经不再支持PHP5,而是默认PHP7,所以需要输入的是:

sudo apt-get install libapache2-mod-php php

或者:

sudo apt-get install php5.6 libapache2-mod-php5.6

(解决方案的网址点击这里可以跳转)

未验证是否安装完成,建一个文档: sudo vi /var/www/html/info.php

按下i键编辑文件 输入

<?php

phpinfo();

?>

之后按ESC,输入 :wq 保存退出(记住有冒号)

重启下Apache:输入

sudo /etc/init.d/apache2 restart

在浏览器中输入 IP/info.php (此处的IP是你的外网IP)

如果出现类似下图的界面,则为安装成功:
image
服务器需求入口

网友评论

登录后评论
0/500
评论
stefanie燕
+ 关注